<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
	xmlns:tm="http://java.sun.com/jsf/composite/terminal/1_0/components"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.menuCampeonatos.title']}" />
	</ui:define>
	
	<ui:define name="principal">
	<p:link outcome="menuCampeonatos.xhtml" value="#{msg['pages.menuCampeonatos.back']}"/>
	<h1><p:outputLabel value="#{msg['pages.menuCampeonatos.title']}"/></h1>
	
	<h:form id="formMostraCampeonato">
		<p:dataTable 
					var="aux"
					value="#{campeonatoManagedBean.campeonatos}"
					id="tabelaCampeonato"
					editable="true" paginator="true"
					rows="5"
					paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                	rowsPerPageTemplate="5,10,15"
                	selectionMode="single" selection="#{campeonatoManagedBean.campeonatoSelecionado}"
                	rowkey="#{aux.idCampeonato}">
          
          <p:ajax event="rowEdit" listener="#{campeonatoManagedBean.onRowEdit}" update="tabelaCampeonato" />
          <p:ajax event="rowSelect"/>
          <p:ajax event="rowUnselect"/>
		  
		  <p:column filterBy="#{aux.nome}" headerText="#{msg['pages.cadastraCampeonato.nome']}:">
		  	<p:cellEditor>
		  		<f:facet name="output">
					<p:outputLabel value="#{aux.nome}"/>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.nome}"/>
				</f:facet>
			</p:cellEditor>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.locais']}:">
			<p:commandButton action="cadastraLocal.xhmtl?faces-redirect=true" icon="ui-icon-plus">
				<f:setPropertyActionListener value="#{campeonatoManagedBean.campeonatoSelecionado}" 
				target="#{localManagedBeans.campeonatoSelecionado}"/>
			</p:commandButton>
			<p:commandButton action="mostraLocais.xhmtl?faces-redirect=true" icon="ui-icon-search">
				<f:setPropertyActionListener value="#{campeonatoManagedBean.campeonatoSelecionado}" 
				target="#{localManagedBeans.campeonatoSelecionado}"/>
			</p:commandButton>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.juizes']}:">
			<p:commandButton action="cadastraJuiz.xhmtl?faces-redirect=true" icon="ui-icon-plus">
				<f:setPropertyActionListener value="#{campeonatoManagedBean.campeonatoSelecionado}" 
				target="#{juizManagedBeans.campeonatoSelecionado}"/>
			</p:commandButton>
			<p:commandButton action="mostraJuizes.xhtml?faces-redirect=true" icon="ui-icon-search">
				<f:setPropertyActionListener value="#{campeonatoManagedBean.campeonatoSelecionado}" 
				target="#{juizManagedBeans.campeonatoSelecionado}"/>
			</p:commandButton>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.categorias']}:">
			<p:commandButton action="cadastraCategoria.xhmtl?faces-redirect=true" icon="ui-icon-plus">
				<f:setPropertyActionListener value="#{campeonatoManagedBean.campeonatoSelecionado}" 
				target="#{categoriaManagedBean.campeonatoSelecionado}"/>
			</p:commandButton>
			<p:commandButton action="mostraCategoria.xhtml?faces-redirect=true" icon="ui-icon-search">
				<f:setPropertyActionListener value="#{campeonatoManagedBean.campeonatoSelecionado}" 
				target="#{categoriaManagedBean.campeonatoSelecionado}"/>
			</p:commandButton>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.dataInicioInscricao']}:">
		  	<p:cellEditor>
		  		<f:facet name="output">
					<p:outputLabel value="#{aux.dataInicioInscricao}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:outputLabel>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.dataInicioInscricao}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:inputText>
				</f:facet>
			</p:cellEditor>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.dataFimInscricao']}:">
			<p:cellEditor>
		  		<f:facet name="output">
					<p:outputLabel value="#{aux.dataFimInscricao}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:outputLabel>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.dataFimInscricao}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:inputText>
				</f:facet>
			</p:cellEditor>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.dataInicioCampeonato']}:">
			<p:cellEditor>
		  		<f:facet name="output">
					<p:outputLabel value="#{aux.dataInicioCampeonato}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:outputLabel>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.dataInicioCampeonato}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:inputText>
				</f:facet>
			</p:cellEditor>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.dataFimCampeonato']}:">
			<p:cellEditor>
		  		<f:facet name="output">
					<p:outputLabel value="#{aux.dataFimCampeonato}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:outputLabel>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.dataFimCampeonato}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:inputText>
				</f:facet>
			</p:cellEditor>
		  </p:column>
		  
		  <p:column headerText="#{msg['pages.cadastraCampeonato.valorTaxa']}">
			<p:cellEditor>
		  		<f:facet name="output">
					<p:outputLabel value="#{aux.valorTaxa}"/>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.valorTaxa}"/>
				</f:facet>
			</p:cellEditor>
		  </p:column>
		  
		  <p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{campeonatoManagedBean.remover(aux)}"
						update="tabelaCampeonato" />
	  			</p:column>
		  
		</p:dataTable>
	</h:form>
	</ui:define>
</ui:composition>